Skip to main content
GET
/
recipients
List Recipients
curl --request GET \
  --url https://api.caminotreasury.com/v1/recipients \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": 42,
      "address": "0x742d35cc6634c0532925a3b844bc454e4438f44e",
      "label": "Treasury Cold Wallet",
      "createdAt": "2026-05-20T12:00:00.000Z",
      "updatedAt": "2026-05-20T12:00:00.000Z"
    }
  ],
  "count": 123
}

Authorizations

x-api-key
string
header
required

API key for authentication. Pass your key in the x-api-key header.

Query Parameters

sort
enum<string>
default:created_at

Field to sort by.

Available options:
created_at,
label
order
enum<string>
default:asc

Sort direction.

Available options:
asc,
desc

Response

List of recipients

data
object[]
required
count
integer
required

Number of items in data.